Bug 1297148 - gpaste: Couldn't spawn Ui: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown
gpaste: Couldn't spawn Ui: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gpaste (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 18:35 EST by Tomáš Nechutný
Modified: 2016-02-11 06:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 06:27:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomáš Nechutný 2016-01-09 18:35:08 EST
Description of problem: Cannot start UI of gpaste.

Version-Release number of selected component (if applicable): gpaste-3.18.2-1.fc23.x86_64

How reproducible: Everytime.

Steps to Reproduce:
1. Install minimum Fedora 23 installation from netinstall medium (without prepared Gnome environment).
2. Install i3, gnome-terminal.
3. Install gpaste.
4. Run
  $ gpaste-client dr      
  Successfully reexecuted the daemon
  $ gpaste-client ui

  ** (gpaste-client:14726): CRITICAL **: Couldn't spawn Ui: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.GPaste.Ui was not provided by any .service files

Actual results: The error above.

Expected results: The UI should start.

There's probably some missing dependency. Or it can be my fault for not running some required Gnome daemon. In the latter case, please tell me which one, close this bug and accept my apology for wasting your time.
Comment 1 Mohamed El Morabity 2016-02-10 09:24:20 EST
You must install gpaste-ui to access the GUI.
Comment 2 Tomáš Nechutný 2016-02-11 06:27:06 EST
Thanks Mohamed. Silly me.

Note You need to log in before you can comment on or make changes to this bug.